{% extends "templates/page.njk" %}
{% from "packages/components/button/macro.njk" import button %}
{% from "packages/components/tables/macro.njk" import table %}
{% from "macros/hce-pagination.njk" import hcePagination %}

{% block pageContent %}
  <h1>{{heading}}</h1>

  <div class="hce-telesales-search-box">
    <h2>{{searchBoxHeading}}</h2>
    <p class="nhsuk-hint">{{paragraphOne}}</p>

    {{ table({
      responsive: true,
      panel: false,
      firstCellIsHeader: false,
      head: [
        {
          text: tableHeadingOne
        },
        {
          text: tableHeadingTwo
        },
        {
          text: tableHeadingThree
        },
        {
          text: tableHeadingFour
        },
        {
          text: tableHeadingFive
        },
        {
          text: tableHeadingSix
        },
        {
          text: tableHeadingSeven
        },
        {
          text: tableHeadingEight
        },
        {
          text: tableHeadingNine
        }
      ],
      rows: results
    }) }}

    {{ hcePagination(
      pagination
    ) }}

    <div class="form-group nhsuk-u-margin-top-6">
      {{ button({
        text: backButtonText,
        href: contextPath + "/search-hrt-records",
        classes: "hce-telesales-blue-button",
        preventDoubleClick: true,
        attributes: {
          id: 'back-button'
        }
      }) }}

      {{ button({
        text: newApplicationButtonText,
        href: contextPath + "/new-applicant-details",
        classes: "hce-telesales-blue-button",
        preventDoubleClick: true,
        attributes: {
          id: 'new-application-button'
        }
      }) }}
    </div>
  </div>
{% endblock %}